Project

General

Profile

Bug #4293

Squid 2.7.9 pkg v.4.3.6 i386 won't start

Added by Walt McDonald over 4 years ago. Updated almost 4 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
Squid
Target version:
-
Start date:
01/25/2015
Due date:
% Done:

0%

Estimated time:
Affected Version:
Affected Architecture:

Description

squid not starting following upgrade to 2.2

32 bit
squid-2.7.9_4-i386

php-fpm259: /rc.start_packages: The command '/usr/pbi/squid-i386/sbin/squid -D' returned exit code '1', the output was 'Shared object "libz.so.5" not found, required by "libmd5.so.1"'

tried reinstalling as new package just to check - same error.

History

#1 Updated by Walt McDonald over 4 years ago

understand from irc the 64bit package works ok - i386 seems to have issues

#2 Updated by Tahar GUEBLI over 4 years ago

Some missing link lib.

you can add this symbolic links in a ssh session,

and restart the squid service.

ln -s /usr/lib/libssl.so.7 /usr/lib/libssl.so.6
ln -s /lib/libcrypto.so.7 /lib/libcrypto.so.6
ln -s /lib/libz.so.6 /lib/libz.so.5

#3 Updated by Chris Buechler over 4 years ago

  • Target version deleted (2.2.1)

#4 Updated by James Snell about 4 years ago

Thank you Tahar for the ln commands, that got it running again for me after I upgraded to 2.2.3-RELEASE.

#5 Updated by Kill Bill about 4 years ago

James Snell wrote:

Thank you Tahar for the ln commands, that got it running again for me after I upgraded to 2.2.3-RELEASE.

- Squid2 is dead.
- Producing similar symlinks to work around retard PBI is harmful.

#6 Updated by Chris Buechler almost 4 years ago

  • Status changed from New to Closed
  • Affected Version deleted (2.2)

PBI issue that doesn't exist in 2.3

Also available in: Atom PDF